1. #1
    wow.. finally i could buy il2 and get start to play it...

    but there is some problems.. hhehe

    first: what the hell do i need to do to complet the missions???

    Second: My current version is 1.0... what updates do i need do instal to can play on line? and Where can i play on line? what is the links for the updates????!!?

    U forget me whether i am being a little boring, but it's cuz i want too much could play this game! =)))

    oh.. and sorry my horrible english too!!
    Share this post

  2. #2
    wow.. finally i could buy il2 and get start to play it...

    but there is some problems.. hhehe

    first: what the hell do i need to do to complet the missions???

    Second: My current version is 1.0... what updates do i need do instal to can play on line? and Where can i play on line? what is the links for the updates????!!?

    U forget me whether i am being a little boring, but it's cuz i want too much could play this game! =)))

    oh.. and sorry my horrible english too!!
    Share this post

  3. #3
    Taylortony's Avatar Senior Member
    Join Date
    May 2002
    Posts
    8,557
    I havent flown the missions so I cant help you with those....... as for patches you need to install 1.1a and 1.2 IN THAT ORDER


    http://www.3dgamers.com/dlselect/gam..._1.1a.exe.html

    http://www.3dgamers.com/dlselect/gam...e_1.2.exe.html

    They are about 100mb in size, but they will give you new features like planes.

    this site will also help you out with info etc.
    http://www.airwarfare.com/Sims/IL2/il2_main.htm

    Most people now have the later versions of the game, but if you can fly on the original IL2 then if you ever upgrade you are in a good position as the one you have is harder to fly and more satisfying
    Share this post

  4. #4
    Hi there. If by "complete the missions" you mean get the mission to end and give a report so you can advance? I believe you must press escape, then "end mission" or "quit mission" after first completing the objectives and it should then give you a kill count, and other stats. In campaigns this will advance you to the next mission. Completing the objectives means all required air or ground targets, and then landing at the base (if selected in the difficulty menu).

    You can try to see if there are any IL2 servers still on UBI, but to play online on most current servers you'll have to buy three more addons:

    Forgotten Battles
    Aces Expansion Pack
    Pacific Fighters

    Sometimes you can find them in a pack together to help save some money.
    Share this post

  5. #5
    Skycat_2's Avatar Senior Member
    Join Date
    Nov 2003
    Posts
    1,923
    Use Taylortony's patches only if you have the original version of IL-2 (the picture on the box looks like the header at the top of this forum page). If you have "IL-2: Forgotten Battles" you'll need a different series of patches.

    If you have IL-2:FB and Ace Expansion Pack, you'll only need the patches for the AEP.

    Anyway, most missions require that you satisfy a condition like destroying a target or shooting down a primary group of planes, then surviving the mission and landing back at your base. You can make missions easier by turning off the "no instant success" toggle in the difficulty options menu; this will allow you to move onto the next mission even if you don't complete the current mission's goals. You can even quit mid-mission if you wish and be given the option of advancing to the next one.

    There are other difficulty option switches that you may or may not feel comfortable using. The important thing to know is that you have to set up the options you want to use at the beginning of a campaign.
    Share this post

  6. #6
    Taylortony's Avatar Senior Member
    Join Date
    May 2002
    Posts
    8,557
    Version 1.0 is the first Game.. AKA IL2 the Original
    Share this post

  7. #7
    Skycat_2's Avatar Senior Member
    Join Date
    Nov 2003
    Posts
    1,923
    Forgotten Battles 'out of the box' is also numbered v.1.0.

    If you have IL-2 Sturmovik:
    CD-Rom --> upgrade 1.1a --> upgrade 1.2 --> upgrade 1.2ov (optional patch)

    If you have IL-2: Forgotten Battles:
    CD-Rom --> Il-2 Sturmovik: Forgotten Battles: patch122_.over10.exe

    These series of patches are not interchangeable!
    Share this post

  8. #8
    I thought FB out of box was v2? Been a long time since I saw it.
    Share this post

  9. #9
    Skycat_2's Avatar Senior Member
    Join Date
    Nov 2003
    Posts
    1,923
    The original IL-2 Sturmovik 'out of the box' is v1.0, but not compatible with the "sequel" series of Forgotten Battles.

    IL-2: Forgotten Battles was officially called a sequel, remember? Technically it is a different product than IL-2 Sturmovik. (Yeah, I know, splitting hairs here ...) Out of the box, Forgotten Battles is numbered v1.0.

    Installing Ace Expansion Pack immediately brings Forgotten Battles up to v2.0.

    Pacific Fighters, either as the stand-alone version or as the merged add-on to FB+AEP, is v.3.0 'out of the box.' But we all know that for the merge to work, you have to have AEP installed.
    Share this post